Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.store
Class ExtendedStore.TxCacheWrapper

    java.lang.Object
      org.apache.slide.store.ExtendedStore.TxCacheWrapper

All Implemented Interfaces:
  ObjectCache

Direct Known Subclasses:
  ExtendedStore.TxContentCacheWrapper

Enclosing class:
  ExtendedStore

protected class ExtendedStore.TxCacheWrapper
extends java.lang.Object
implements ObjectCache

Constructor Summary
`ExtendedStore.TxCacheWrapper(int globalCacheSize, java.lang.String name, boolean noGlobalCacheInTx)`
`ExtendedStore.TxCacheWrapper(TxLRUObjectCache txCache)`

Method Summary
`void` | `clear()` Clear object cache.
`java.lang.Object` | `get(java.lang.Object key)` Get the object associated with the key.
`TxLRUObjectCache` | `getTxCache()`
`void` | `put(java.lang.Object key, java.lang.Object value)` Add an object to the cache, or overwrite its value.
`void` | `remove(java.lang.Object key)` Remove object associated with the given key.
`void` | `remove(java.lang.Object key, java.lang.String delimiter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedStore.TxCacheWrapper

    public ExtendedStore.TxCacheWrapper(TxLRUObjectCache txCache)

### ExtendedStore.TxCacheWrapper

    public ExtendedStore.TxCacheWrapper(int globalCacheSize,
                                        java.lang.String name,
                                        boolean noGlobalCacheInTx)

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Description copied from interface: `ObjectCache`
  Get the object associated with the key.

  Specified by:
    `get` in interface `ObjectCache`
  Parameters:
    `key` - Object's key
  Returns:
    Object null if there is no object associated with that key in the cache, or the object value otherwise

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

  Description copied from interface: `ObjectCache`
  Add an object to the cache, or overwrite its value.

  Specified by:
    `put` in interface `ObjectCache`
  Parameters:
    `key` - Object's key
    `value` - Object's value

### remove

    public void remove(java.lang.Object key)

  Description copied from interface: `ObjectCache`
  Remove object associated with the given key. Doesn't do anything if the key wasn't associated with any object.

  Specified by:
    `remove` in interface `ObjectCache`
  Parameters:
    `key` - Object's key

### remove

    public void remove(java.lang.Object key,
                       java.lang.String delimiter)

### clear

    public void clear()

  Description copied from interface: `ObjectCache`
  Clear object cache.

  Specified by:
    `clear` in interface `ObjectCache`

### getTxCache

    public TxLRUObjectCache getTxCache()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD